﻿using Infragistics.Controls.Schedules;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamScheduleRecurrenceIconSize
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
            Resource resAmanda = new Resource() { Id = "own1", Name = "res1" };
            resources.Add(resAmanda);

            ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
            ResourceCalendar cal = new ResourceCalendar()
            {
                Id = "cal1",
                OwningResourceId = "own1"
            };
            calendars.Add(cal);

            ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
       
            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 2",
                Description = "My second appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(10).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime(),               
            };

            DateRecurrence recurrence = new DateRecurrence();

            List<DateRecurrenceRuleBase> rules = new List<DateRecurrenceRuleBase>();
            recurrence.Rules.Add(new DayOfWeekRecurrenceRule(DayOfWeek.Monday));
            recurrence.Rules.Add(new DayOfWeekRecurrenceRule(DayOfWeek.Tuesday));
            recurrence.Rules.Add(new DayOfWeekRecurrenceRule(DayOfWeek.Wednesday));
            recurrence.Rules.Add(new DayOfWeekRecurrenceRule(DayOfWeek.Thursday));
            recurrence.Rules.Add(new DayOfWeekRecurrenceRule(DayOfWeek.Friday));

            recurrence.Frequency = DateRecurrenceFrequency.Weekly;

            app2.Recurrence = recurrence;

            appointments.Add(app2);

            ListScheduleDataConnector dataConnector = new ListScheduleDataConnector();
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;

            XamScheduleDataManager dataManager = new XamScheduleDataManager();
            dataManager.DataConnector = dataConnector;
            CalendarGroupCollection calGroups = dataManager.CalendarGroups;
            CalendarGroup calGroup = new CalendarGroup();
            calGroup.InitialCalendarIds = "own1[cal1]";
            calGroups.Add(calGroup);
          
            dayView.DataManager = dataManager;
            
        }
    }
}
